Subject: Re: bug#21969: VC opens new window to display minimal messages

From: Dmitry Gutov <[email-masked]>
Date: Sun, 22 Nov 2015 03:27:18 +0200

On 11/22/2015 03:07 AM, David Reitter wrote:

> Call asynchronously.  Install timeout or sentinel that checks if or when the process has finished.  If it’s just one line, remove the window that was created.

So you would be content with a window that appears, changes layout, and 
then flips back after 0.1s? I wouldn't like that, myself.

> My thinking is that this is likely to be handled so quickly that redisplay will not have time to pop up the window.

Setting aside the fact that if it's that fast then we don't need calling 
it asynchronously, redisplay *will* almost always have the time to show 
the changes window configuration, simply because it's changed during the 
command's execution, and any "change back" will have to happen afterwards.

> However, I can see that this might use low-level functions (pop-to-buffer is very configurable).

Not sure what's your point here.

> Alternatively, and perhaps that is the correct solution, I would start asynchronously and install a very brief timeout that opens up the new window unless the process has finished with just one line of output (or an error).

Like my option 3? What can be considered to be a "brief timeout"?

> For the 25.1 branch, one could consider just calling it synchronously.

For all backends? Including SVN and CVS, which generally have to talk to 
remote servers, which can respond rather sluggishly?

I can change it back to synchronous for the mentioned backends (Git, Hg, 
RCS) now; that's simple. The more advanced solution will have to be 
written by someone else then.